Skip to content

Units of measure ​

INFO

Every response arrives in the shared envelope — code, message, messages, status_code, time — with the payload in data. The tables below describe what is inside data.

POST /units-of-measure/create ​

This method allows adding units-of-measure into the account.

Request body

FieldTypeRequiredDescription
namestringYes
short_namestringNo
codestringNo
statusstringNoOne of: active, inactive. Default: "active"
decimal_countintegerYesDefault: 0
typestringYesOne of: inventory, service
json
{
  "name": "string",
  "short_name": "string",
  "code": "string",
  "status": "active",
  "decimal_count": 0,
  "type": "inventory"
}

Response

FieldTypeDescription
_idstring
namestring
codestring
short_namestring
statusstringOne of: active, inactive
system_codestring
decimal_countintegerDefault: 0
typestringOne of: inventory, service
is_defaultboolean
created_atstring (date-time)
updated_atstring (date-time)
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "_id": "string",
    "name": "string",
    "code": "string",
    "short_name": "string",
    "status": "active",
    "system_code": "string",
    "decimal_count": 0,
    "type": "inventory",
    "is_default": false,
    "created_at": "2025-05-01T12:00:00Z",
    "updated_at": "2025-05-01T12:00:00Z"
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /units-of-measure/update ​

This method allows updating units-of-measure in the account.

Request body

FieldTypeRequiredDescription
_idstringYes
namestringYes
short_namestringNo
codestringNo
statusstringNoOne of: active, inactive. Default: "active"
decimal_countintegerYesDefault: 0
typestringNoOne of: inventory, service
json
{
  "_id": "67b486d242ed76693cd2cc59",
  "name": "string",
  "short_name": "string",
  "code": "string",
  "status": "active",
  "decimal_count": 0,
  "type": "inventory"
}

Response

Same response shape as POST /units-of-measure/create.

DELETE /units-of-measure/delete/{id} ​

Delete a units-of-measure

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /units-of-measure/get-all ​

Get all units-of-measures

Query parameters

ParameterTypeRequiredDescription
searchstringNoSearch units-of-measure
typestringNoOne of: inventory, service
statusstringNoOne of: active, inactive

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    {
      "_id": "string",
      "name": "string",
      "code": "string",
      "short_name": "string",
      "status": "active",
      "system_code": "string",
      "decimal_count": 0,
      "type": "inventory",
      "is_default": false,
      "created_at": "2025-05-01T12:00:00Z",
      "updated_at": "2025-05-01T12:00:00Z"
    }
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /units-of-measure/get-by-id/{id} ​

Get units-of-measure using its _id

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

Same response shape as POST /units-of-measure/create.

GET /units-of-measure/get-deleted ​

Get deleted units-of-measure ids

Query parameters

ParameterTypeRequiredDescription
deleted_atstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

POST /units-of-measure/get-paging ​

Get units-of-measure by paging

Request body

FieldTypeRequiredDescription
pagenumberYesDefault: 1
limitnumberYesDefault: 20
searchstringNo
typestringNoOne of: inventory, service
statusstringNoOne of: active, inactive
json
{
  "page": 1,
  "limit": 20,
  "search": "string",
  "type": "inventory",
  "status": "active"
}

Response

data.total is the total number of records and data.data[] holds the current page. The table below describes one record.

FieldTypeDescription
namestring
codestring
short_namestring
statusstringOne of: active, inactive
system_codestring
decimal_countintegerDefault: 0
typestringOne of: inventory, service
updated_by_userobject
updated_by_user._idstring
updated_by_user.full_namestring
created_by_userobject
created_by_user._idstring
created_by_user.full_namestring
created_atstring (date-time)
updated_atstring (date-time)
is_defaultboolean
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "total": 0,
    "data": [
      {
        "name": "string",
        "code": "string",
        "short_name": "string",
        "status": "active",
        "system_code": "string",
        "decimal_count": 0,
        "type": "inventory",
        "updated_by_user": {
          "_id": "string",
          "full_name": "string"
        },
        "created_by_user": {
          "_id": "string",
          "full_name": "string"
        },
        "created_at": "2025-05-01T12:00:00Z",
        "updated_at": "2025-05-01T12:00:00Z",
        "is_default": false
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

This page is generated from the OpenAPI spec.

Bito 2.0 Integration API